Bug 967564 - engine: can't live storage migrate a disk
engine: can't live storage migrate a disk
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
x86_64 Linux
unspecified Severity urgent
: ---
: 3.3.0
Assigned To: Nobody's working on this, feel free to take it
Elad
Elad
storage
: Regression, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 09:13 EDT by Dafna Ron
Modified: 2016-02-10 15:37 EST (History)
10 users (show)

See Also:
Fixed In Version: is2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine log (29.52 KB, application/x-xz)
2013-05-27 09:13 EDT, Dafna Ron
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 15061 None None None Never

  None (edit)
Description Dafna Ron 2013-05-27 09:13:33 EDT
Created attachment 753616 [details]
engine log

Description of problem:

I installed is1 (3.3) and we cannot live migrate a disk with some CanDoAction which also gets NPE. 

UI is showing: Error while executing action: General command validation failure.


Version-Release number of selected component (if applicable):

is1

How reproducible:

1005

Steps to Reproduce:
1. in iscsi storage with multiple domains and 1 host, create a vm and run it 
2. try to live storage migrate the disk
3.

Actual results:

we fail to migrate the vm with anDoActionFailure.: java.lang.NullPoint
erException

Expected results:

we should be able to LSM


Additional info:

2013-05-27 16:05:33,519 INFO  [org.ovirt.engine.core.bll.lsm.LiveMigrateVmDisksCommand] (ajp-/127.0.0.1:8702-5) [3b527475] Lock Acquired to object EngineLock [exclusiveLocks= k
ey: dd7bd19f-c6c6-4b89-be73-25436107a434 value: VM
, sharedLocks= ]
2013-05-27 16:05:33,526 ERROR [org.ovirt.engine.core.bll.lsm.LiveMigrateVmDisksCommand] (ajp-/127.0.0.1:8702-5) [3b527475] Error during CanDoActionFailure.: java.lang.NullPoint
erException
        at org.ovirt.engine.core.bll.lsm.LiveMigrateVmDisksCommand.validateSourceStorageDomain(LiveMigrateVmDisksCommand.java:255) [bll.jar:]
        at org.ovirt.engine.core.bll.lsm.LiveMigrateVmDisksCommand.canDoAction(LiveMigrateVmDisksCommand.java:201) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.internalCanDoAction(CommandBase.java:678) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.canDoActionOnly(CommandBase.java:296) [bll.jar:]
        at org.ovirt.engine.core.bll.MultipleActionsRunner.Execute(MultipleActionsRunner.java:75) [bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runMultipleActionsImpl(Backend.java:444) [bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runMultipleActionsImpl(Backend.java:459) [bll.jar:]
        at org.ovirt.engine.core.bll.Backend.RunMultipleActions(Backend.java:416) [bll.jar:]
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.7.0_19]
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57) [rt.jar:1.7.0_19]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_19]
        at java.lang.reflect.Method.invoke(Method.java:601) [rt.jar:1.7.0_19]
        at org.jboss.as.ee.component.ManagedReferenceMethodInterceptorFactory$ManagedReferenceMethodInterceptor.processInvocation(ManagedReferenceMethodInterceptorFactory.java:
72) [jboss-as-ee.jar:7.2.0.Final-redhat-8]
Comment 3 Elad 2013-08-11 04:42:16 EDT
LSM is working properly:

2013-08-11 11:14:21,682 INFO  [org.ovirt.engine.core.bll.lsm.LiveMigrateDiskCommand] (pool-5-thread-49) [2a7a09c9] Ending command successfully: org.ovirt.engine.core.bll.lsm.LiveMigrateDiskCommand
2013-08-11 11:14:21,695 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (pool-5-thread-49) [2a7a09c9] Correlation ID: 2a7a09c9, Job ID: 46a29a75-bc35-4f7d-b07a-392ed9db1e3b, Call Stack: null, Custom Event ID: -1, Message: User admin@internal finished moving disk iscsi4-1_Disk1 to domain iscsi4-3.

Checked on RHEVM3.3-IS9.1:
rhevm-3.3.0-0.14.master.el6ev.noarch
vdsm-4.12.0-52.gitce029ba.el6ev.x86_64
Comment 4 Itamar Heim 2014-01-21 17:22:21 EST
Closing - RHEV 3.3 Released
Comment 5 Itamar Heim 2014-01-21 17:27:23 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.